@echo off



rem Aufgabenplanung, Telemetrie abschalten
schtasks /change /disable /tn "\microsoft\windows\application experience\aitagent" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\application experience\microsoft compatibility appraiser" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\application experience\programdataupdater" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\autochk\proxy" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\customer experience improvement program\consolidator" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\customer experience improvement program\kernelceiptask" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\customer experience improvement program\usbceip" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\diskdiagnostic\microsoft-windows-diskdiagnosticdatacollector" >nul 2>nul
schtasks /change /disable /tn "\microsoft\windows\maintenance\winsat" >nul 2>nul
schtasks /change /disable /tn "\Microsoft\Windows\Windows Error Reporting\QueueReporting" >nul 2>nul



rem Diagnostics Tracking Service (Diagtrack, Telemetrie) abschalten
%SystemRoot%\System32\reg.exe add "HKLM\SYSTEM\CurrentControlSet\services\Diagtrack" /v Start /t REG_DWORD /d "4" /f
sc stop Diagtrack
sc config Diagtrack start= disabled



rem Programmbestandssammlung: aus
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\AppCompat" /v DisableInventory /t REG_DWORD /d "1" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Wow6432Node\Policies\Microsoft\Windows\AppCompat" /v DisableInventory /t REG_DWORD /d "1" /f



rem Problemaufzeichnung (Problem Steps Recorder, PSR UAR): aus
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\AppCompat" /v DisableUAR /t REG_DWORD /d "1" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Wow6432Node\Policies\Microsoft\Windows\AppCompat" /v DisableUAR /t REG_DWORD /d "1" /f



rem Fehlerberichterstattung: aus
%SystemRoot%\System32\reg.exe add "HKLM\SYSTEM\CurrentControlSet\services\WerSvc" /v Start /t REG_DWORD /d "4" /f
sc stop WerSvc
sc config WerSvc start= disabled



rem Anwendungs-Telemetrie: aus
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\AppCompat" /v AITEnable /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Wow6432Node\Policies\Microsoft\Windows\AppCompat" /v AITEnable /t REG_DWORD /d "0" /f



rem CEIP-Telemetrie: aus
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Messenger\Client" /v CEIP /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Wow6432Node\Policies\Microsoft\Messenger\Client" /v CEIP /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\SQMClient\Windows" /v CEIPEnable /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Wow6432Node\Policies\Microsoft\SQMClient\Windows" /v CEIPEnable /t REG_DWORD /d "0" /f



%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\DataCollection" /v AllowTelemetry /t REG_DWORD /d "0" /f



rem automatische Updatesuche: aus, nie
%SystemRoot%\System32\reg.exe add "HKCU\Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update" /v AUOptions /t REG_DWORD /d "1" /f
%SystemRoot%\System32\reg.exe add "HKCU\Software\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update" /v AUState /t REG_DWORD /d "1" /f



rem automatischen Neustart nach Updates verhindern
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate\AU" /v NoAutoRebootWithLoggedOnUsers /t REG_DWORD /d "1" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate\AU" /v RebootRelaunchTimeoutEnabled /t REG_DWORD /d "0" /f



rem Upgrade auf Windows 10 verhindern
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate" /v DisableOSUpgrade /t REG_DWORD /d "1" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\WindowsUpdate\OSUpgrade" /v AllowOSUpgrade /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\WindowsUpdate\OSUpgrade" /v ReservationsAllowed /t REG_DWORD /d "0" /f
%SystemRoot%\System32\reg.exe add "HKLM\SOFTWARE\Policies\Microsoft\Windows\Gwx" /v DisableGwx /t REG_DWORD /d "1" /f



rem ".net Framework 4.6.1", ".net Framework 4.6.1 Hotfix Rollup", SP1-Wrapper
"%SystemRoot%\Setup\Files\NDP461-KB3102436-x86-x64-AllOS-ENU.exe" /q /norestart | "%SystemRoot%\Setup\Files\NDP461-KB3102436-x86-x64-AllOS-DEU.exe" /q /norestart | "%SystemRoot%\Setup\Files\NDP461-KB3154529-x86-x64-ENU.exe" /q /norestart | %SystemRoot%\System32\wusa.exe "%SystemRoot%\Setup\Files\Windows6.1-KB2533552-x64.msu" /quiet



rd /q /s "%SystemRoot%\Setup\Files"
del /q /f "%0"
